Bug 849468 - livemedia-creator doesn't seem to work with --no-virt
livemedia-creator doesn't seem to work with --no-virt
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 14:23 EDT by Kevin Fenzi
Modified: 2013-06-11 17:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 17:38:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2012-08-19 14:23:14 EDT
# livemedia-creator --ks=./test.ks --make-iso --no-virt
2012-08-19 12:19:27,030: disk_size = 4GB
2012-08-19 12:19:27,030: disk_img = /var/tmp/diskx0aGPf.img
2012-08-19 12:19:27,030: install_log = /home/kevin/git/spin-kickstarts/virt-install.log
Traceback (most recent call last):
Starting installer, one moment...
  File "/sbin/anaconda", line 896, in <module>
anaconda 18.6 for anaconda bluesky (pre-release) started.
    setupDisplay(anaconda, opts)
  File "/sbin/anaconda", line 565, in setupDisplay
    anaconda.initInterface()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/__init__.py", line 235, in initInterface
    raise RuntimeError("Unsupported displayMode: %s" % self.displayMode)
RuntimeError: Unsupported displayMode: s
2012-08-19 12:19:27,937: Install failed
2012-08-19 12:19:27,938: Removing bad disk image

For some reason the displayMode is 's' instead of gui or text?

If there's a repo with the spin-kickstarts ks's modified for livemedia-creator that would be great too.
Comment 1 Jesse Keating 2012-08-20 11:32:00 EDT
"s" is for script mode, which is a bit up in the air right now with the UI rewrite.  It should be using text with out any prompting, but text mode is just barely present.  This is a known issue.
Comment 2 Fedora Admin XMLRPC Client 2013-02-04 10:04:05 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Brian Lane 2013-06-11 17:38:31 EDT
This has been fixed for a while now.

Note You need to log in before you can comment on or make changes to this bug.